Event API

šŸ“Š Events Timeseries Report API

Endpoint:
https://reports-api.notifyvisitors.com/api_in/v1/get_event

Method: POST

🧾 Overview

This API provides date-wise breakdowns of event metrics (e.g., total events, unique users, unique sessions) across a given time range. The data can be aggregated by daily, weekly, monthly, or annual intervals, and supports powerful filters based on event properties.


šŸ“„ Request Parameters

FieldTypeRequiredDescription
fromDatestringāœ… YesStart date in YYYY-MM-DD format.
toDatestringāœ… YesEnd date in YYYY-MM-DD format.
timeseriesstringāŒ NoInterval for data breakdown: daily, weekly, monthly, annual. Default: daily.
trend_metricstringāœ… YesMetric to analyze: total_events, unique_users, unique_sessions.
event_namestringāœ… YesName of the event to analyze.
event_propertyarrayāŒ NoList of filters on event properties. See below for format.

šŸ”Ž Event Property Filter Format

Each object in event_property should include:

FieldDescription
keyEvent attribute (e.g., Attributes - name, browser) .Pass custom attributes as Attributes - attribute_name For system attributes details info see below table
operatorFilter condition. Supported values:
Include, Exclude, Contains, Not contains, Is exist, Is one of, Is none of, Less than, Greater than, Range, Equals to, Is
valueFilter value(s). Can be strings, booleans, numbers, or arrays (e.g., ["Chrome", "Firefox"])


🧰 System Attributes Reference (Display Name → System Key)

These attributes can be used key parameter inside the event_property array in the Events Timeseries Report API.


šŸŽÆ UTM Parameters

Display NameSystem Key
UTM SourceUTM - utm_source
UTM MediumUTM - utm_medium
UTM CampaignUTM - utm_campaign
UTM ContentUTM - utm_content
UTM TermUTM - utm_term
UTM AdgroupUTM - utm_adgroup

šŸŒ Location

Display NameSystem Key
Countrycountry
Citycity
Statestate
Continent CodeGeo - continent_code
Region CodeGeo - region_code

šŸ“ˆ Conversion

Display NameSystem Key
ChannelConversion - channel
Campaign IDConversion - channel_id
Attribution TypeConversion - attr

🚦 Traffic

Display NameSystem Key
Platformplatform
Screen Namescreen_name
IP Addressip_address
Integration Channelchannel
Traffic Sourceorganic
Search Enginesearchengine
Referral Sourcelinkreferrer
Operating Systemos
Browserbrowser
PWA / TWAispwa
Referral Source (User)referrer_url

šŸ“² App

Display NameSystem Key
App Versionapp_version
SDK Versionsdk_version
Google Advertising IDga_id
iOS Advertising IDios_ifa

šŸ“„ Page / Session

Display NameSystem Key
Page URLpageurl
Time Spent on Sitesession_timespent_float
Page Viewssession_pageviews_float

šŸ› ļø Device Info

Display NameSystem Key
ManufacturerDevice_info - manufacturer
ModelDevice_info - model
CarrierDevice_info - carrier
Network TypeDevice_info - network_type
WiFi EnabledDevice_info - wifi_enabled
Bluetooth VersionDevice_info - bluetooth_ver
Bluetooth EnabledDevice_info - bluetooth_enabled

🧠 Computed Attributes

Display NameSystem Key
Preferred ChannelPreferred_channel

🧩 Miscellaneous (Other)

Display NameSystem Key
Languagelang
Timezonetimezone
Dayday

System Events Names

Below table contains system event names for events API

System Event
Banner_App_ClickedBanner_App_Impression
Banner_ClickedBanner_Impression
Email_BouncedEmail_Clicked
Email_DeliveredEmail_Opened
Email_RejectedEmail_Reply
Email_SentEmail_Unsubscribe
Form_ImpressionForm_Submission
NPS_ActivityNPS_App_Activity
NPS_App_ImpressionNPS_Impression
Push_ClickedPush_Delivered
Push_DismissedPush_Registered
Push_UnregisteredSMS_Bounced
SMS_ClickedSMS_Delivered
SMS_RejectedSMS_Sent
Survey_App_ImpressionSurvey_Impression
Whatsapp_ClickedWhatsapp_Delivered
Whatsapp_ReadWhatsapp_Sent
Whatsapp_Unsubscribed

šŸ“¦ Sample Request

{
  "brandID": "8194",
  "fromDate": "2024-08-01",
  "toDate": "2024-08-31",
  "timeseries": "daily",
  "trend_metric": "unique_users",
  "event_name": "vaar",
  "event_property": [
    {
      "key": "Attributes - name",
      "operator": "Is Exist",
      "value": "No"
    }
  ]
}

šŸ“¤ Sample Response

{
  "status_code": 200,
  "message": "success",
  "response": {
    "data": {
      "2024-08-01": 10,
      "2024-08-02": 4,
      "2024-08-03": 9,
      ...
      "2024-08-31": 0
    },
    "totalCount": 64
  }
}

āœ… Response Fields:

  • data: Object with date keys and count values.
  • totalCount: Sum of the counts over the selected time period.

API Rate Limit

  • The API rate limit is the number of time the API can be requested per minute.
  • You can make up to 500 API requests per minute on an API.
  • If the limit exceeds, the app will throw error in Response. All API requests are subject to rate limits.